Bug 133047 - USB keyboard doesn't work
USB keyboard doesn't work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks: FCMETA_USB
  Show dependency treegraph
 
Reported: 2004-09-21 01:33 EDT by Russell Coker
Modified: 2015-01-04 17:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2004-09-21 01:33:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
After Linux has booted my USB keyboard is not recognised.  The keyboard itself works fine (it worked on FC1 on the same machine).  The BIOS recognises the keyboard (I can use all BIOS options with it and it is recognised at the boot: prompt).  But when I get to the first stage of the install that involves Linux receiving keyboard input (the "CD Found" screen) the USB keyboard is not recognised and I have to install a PS/2 keyboard to get it to work.

It seems that either the USB or the HID driver is not loaded correctly as the caps-lock key does not cause the caps-lock LED to light up.

In the kernel message log the below message appears twice during the early stages of the boot process.
drivers/usb/input/hid-input.c: event field not found

Version-Release number of selected component (if applicable):
2.6.8-1.541

How reproducible:
Always

Steps to Reproduce:
I installed from FC3-re0908.0-i386-disc1-ftp.iso and the USB keyboard was not recognised by the installer or by the running system.

Additional info:
Comment 1 Sammy 2004-09-23 11:45:02 EDT
I had a similar problem this morning when I switched from my old ps/2 
keyboard to a new USB keyboard. On my system (DELL Precision 350) 
this turned out to be a BIOS problem. The default setup on DELL is to 
turn the USB keyboard on during BIOS selection and than turn it off until 
the OS takes over. This is only for USB keyboard not for ps/2. My keyboard 
was working after the boot but not during grub. 
 
SOLUTION: go into bios and turn on USB emulation under Legacy options. 
 
If you look for help for this option you will see the above explanation! 
Comment 2 Russell Coker 2004-09-23 11:55:08 EDT
Thanks for the suggestion but I don't believe this applies to my 
problem. 
 
I have USB legacy support enabled in the BIOS already. 
 
The latest kernel (2.6.8-1.584) looks like it might solve my 
problem, but because that kernel is utterly broken with regard to SE 
Linux I couldn't test it properly.  Hopefully the next kernel will 
fix this bug and not break SE Linux. 
Comment 3 Boris Feniouk 2005-09-27 12:56:44 EDT
Same problem with fresh FC4 installation, kernel 2.6.12 (see
http://www.linuxforum.com/forums/index.php?act=ST&f=14&t=158428&st=0#entry688583
for details).
Comment 4 Jacek Pawlyta 2005-12-09 13:08:19 EST
I have similar problem - Genius USB SlimStar keyboard is functioning well in
bios and GRUB, while it stops to work when the kernel loads up. 
kernel writes this to message log:
ec  6 22:39:14 jacek kernel: ehci_hcd 0000:00:10.4: EHCI Host Controller
Dec  6 22:39:14 jacek kernel: ehci_hcd 0000:00:10.4: new USB bus registered,
assigned bus number 1
Dec  6 22:39:14 jacek kernel: ehci_hcd 0000:00:10.4: irq 11, io mem 0xfebff800
Dec  6 22:39:14 jacek kernel: ehci_hcd 0000:00:10.4: USB 2.0 initialized, EHCI
1.00, driver 10 Dec 2004
Dec  6 22:39:14 jacek kernel: hub 1-0:1.0: USB hub found
Dec  6 22:39:14 jacek kernel: hub 1-0:1.0: 8 ports detected
Dec  6 22:39:14 jacek kernel: USB Universal Host Controller Interface driver v2.3
Dec  6 22:39:14 jacek kernel: ACPI: PCI Interrupt 0000:00:10.0[A] -> Link [LNKA]
-> GSI 11 (level, low) -> IRQ 11
Dec  6 22:39:14 jacek kernel: uhci_hcd 0000:00:10.0: UHCI Host Controller
Dec  6 22:39:14 jacek kernel: uhci_hcd 0000:00:10.0: new USB bus registered,
assigned bus number 2
Dec  6 22:39:14 jacek kernel: uhci_hcd 0000:00:10.0: irq 11, io base 0x0000c000
Dec  6 22:39:15 jacek kernel: hub 2-0:1.0: USB hub found
Dec  6 22:39:15 jacek kernel: hub 2-0:1.0: 2 ports detected
Dec  6 22:39:15 jacek kernel: ACPI: PCI Interrupt 0000:00:10.1[A] -> Link [LNKA]
-> GSI 11 (level, low) -> IRQ 11
Dec  6 22:39:15 jacek kernel: uhci_hcd 0000:00:10.1: UHCI Host Controller
Dec  6 22:39:15 jacek kernel: uhci_hcd 0000:00:10.1: new USB bus registered,
assigned bus number 3
Dec  6 22:39:15 jacek kernel: uhci_hcd 0000:00:10.1: irq 11, io base 0x0000c400
Dec  6 22:39:15 jacek kernel: hub 3-0:1.0: USB hub found
Dec  6 22:39:15 jacek kernel: hub 3-0:1.0: 2 ports detected
Dec  6 22:39:15 jacek kernel: ACPI: PCI Interrupt 0000:00:10.2[B] -> Link [LNKB]
-> GSI 10 (level, low) -> IRQ 10
Dec  6 22:39:15 jacek kernel: uhci_hcd 0000:00:10.2: UHCI Host Controller
Dec  6 22:39:15 jacek kernel: uhci_hcd 0000:00:10.2: new USB bus registered,
assigned bus number 4
Dec  6 22:39:15 jacek kernel: uhci_hcd 0000:00:10.2: irq 10, io base 0x0000c800
Dec  6 22:39:15 jacek kernel: hub 4-0:1.0: USB hub found
Dec  6 22:39:15 jacek kernel: hub 4-0:1.0: 2 ports detected
Dec  6 22:39:15 jacek kernel: ACPI: PCI Interrupt 0000:00:10.3[B] -> Link [LNKB]
-> GSI 10 (level, low) -> IRQ 10
Dec  6 22:39:16 jacek kernel: uhci_hcd 0000:00:10.3: UHCI Host Controller
Dec  6 22:39:16 jacek kernel: uhci_hcd 0000:00:10.3: new USB bus registered,
assigned bus number 5
Dec  6 22:39:16 jacek kernel: uhci_hcd 0000:00:10.3: irq 10, io base 0x0000cc00
Dec  6 22:39:16 jacek kernel: hub 5-0:1.0: USB hub found
Dec  6 22:39:16 jacek kernel: hub 5-0:1.0: 2 ports detected
Dec  6 22:39:16 jacek kernel: usb 3-1: new low speed USB device using uhci_hcd
and address 2
Dec  6 22:39:16 jacek kernel: input: USB HID v1.10 Mouse [Logitech USB-PS/2
Optical Mouse] on usb-0000:00:10.1-1
Dec  6 22:39:16 jacek kernel: usb 4-1: new low speed USB device using uhci_hcd
and address 2
[cut]
Dec  6 22:39:17 jacek kernel: drivers/usb/input/hid-core.c: usb_submit_urb(ctrl)
failed
Dec  6 22:39:17 jacek kernel: drivers/usb/input/hid-core.c: timeout initializing
reports
Dec  6 22:39:17 jacek kernel:
Dec  6 22:39:17 jacek kernel: input: USB HID v1.10 Keyboard [ABBAHOME] on
usb-0000:00:10.2-1

it seams that the keyboard is recognised , but when the kernel takes care of usb
  the keyboard is lost.
Comment 5 Dave Jones 2006-10-16 16:07:34 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Jon Stanley 2008-01-19 23:36:56 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.